
######################
# Holy Hand Grenades #
######################

# Tag entities that trigger the explosion
tag @e[type=minecraft:zombie] add grenade
tag @e[type=minecraft:husk] add grenade
tag @e[type=minecraft:drowned] add grenade
tag @e[type=minecraft:skeleton] add grenade
tag @e[type=minecraft:creeper] add grenade
tag @e[type=minecraft:spider] add grenade
tag @e[type=minecraft:blaze] add grenade
tag @e[type=minecraft:drowned] add grenade
tag @e[type=minecraft:silverfish] add grenade
tag @e[type=minecraft:cave_spider] add grenade
tag @e[type=minecraft:shulker] add grenade
tag @e[type=minecraft:guardian] add grenade
tag @e[type=minecraft:villager] add grenade

# Detonate the snowball if it comes within 3 blocks of an entity (6 blocks for ghasts)
execute as @e[type=minecraft:snowball] at @s if entity @e[tag=grenade,distance=..3] run summon creeper ~ ~ ~ {Fuse:0,ExplosionRadius:3b,CustomName:"{\"text\":\"Holy Hand Grenade\",\"color\":\"aqua\"}"}
execute as @e[type=minecraft:snowball] at @s if entity @e[tag=grenade,distance=..3] run kill @s
execute as @e[type=minecraft:snowball] at @s if entity @e[type=ghast,distance=..6] run summon creeper ~ ~ ~ {Fuse:0,ExplosionRadius:4b,CustomName:"{\"text\":\"Holy Hand Grenade\",\"color\":\"aqua\"}"}
execute as @e[type=minecraft:snowball] at @s if entity @e[type=ghast,distance=..6] run kill @s

################
# Vampire Cape #
################

execute as @a[nbt={Inventory:[{Slot:102b,id:"minecraft:leather_chestplate",tag:{display:{Name:"{\"text\":\"Vampire Cape\",\"color\":\"red\"}",Lore:["Grants slow falling"],color:0}}}]}] run effect give @s minecraft:slow_falling 1 0 true

###################
# Reaper's Scythe #
###################

execute as @a[scores={kills=1..},nbt={SelectedItem:{tag:{display:{Name:"{\"text\":\"§cReaper's Scythe\"}"}}}}] run effect give @s minecraft:regeneration 1 2
execute as @a[scores={kills=1..}] run scoreboard players set @s kills 0

##################
# Radiant Helmet #
##################

execute as @a[nbt={HurtTime:9s,Inventory:[{Slot:102b,id:"minecraft:golden_helmet",tag:{display:{Name:"{\"text\":\"§cRadiant Helmet\"}"}}}]}] at @s run execute at @e[type=!player,sort=nearest,limit=1] run particle minecraft:end_rod ~ ~2 ~ 0 1.5 0 0 30 normal
execute as @a[nbt={HurtTime:9s,Inventory:[{Slot:102b,id:"minecraft:golden_helmet",tag:{display:{Name:"{\"text\":\"§cRadiant Helmet\"}"}}}]}] at @s run execute at @e[type=!player,sort=nearest,limit=1] run particle minecraft:end_rod ~ ~ ~ 0 0 0 1 10 normal
execute as @a[nbt={HurtTime:9s,Inventory:[{Slot:102b,id:"minecraft:golden_helmet",tag:{display:{Name:"{\"text\":\"§cRadiant Helmet\"}"}}}]}] at @s run execute at @e[type=!player,sort=nearest,limit=1] run playsound minecraft:block.end_portal.spawn hostile @a ~ ~ ~ 1 2 0

